configure breaks when Qt5 is used

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

configure breaks when Qt5 is used

Yuri
Configure in 8.1.1 fails with errors:


CMake Error at /usr/local/lib/cmake/Qt5Core/Qt5CoreMacros.cmake:123 (file):
   Error evaluating generator expression:

     $<TARGET_PROPERTY:QVTKWidgetPlugin,COMPILE_DEFINITIONS>

   Target "QVTKWidgetPlugin" not found.
Call Stack (most recent call first):
   /usr/local/lib/cmake/Qt5Core/Qt5CoreMacros.cmake:187
(qt5_create_moc_command)
   GUISupport/Qt/CMakeLists.txt:148 (qt5_wrap_cpp)


CMake Error at /usr/local/lib/cmake/Qt5Core/Qt5CoreMacros.cmake:123 (file):
   Error evaluating generator expression:

     $<TARGET_PROPERTY:QVTKWidgetPlugin,COMPILE_DEFINITIONS>

   Target "QVTKWidgetPlugin" not found.


when these arguments are passed: -DVTK_QT_VERSION:STRING="5"
-DCMAKE_PREFIX_PATH:STRING=${LOCALBASE}/lib/qt5 -DVTK_Group_Qt:BOOL=ON


Yuri

_______________________________________________
Powered by www.kitware.com

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Search the list archives at: http://markmail.org/search/?q=vtk-developers

Follow this link to subscribe/unsubscribe:
https://public.kitware.com/mailman/listinfo/vtk-developers